import { EventEmitter } from '@angular/core';
import { IStepOption } from './api/i-options';
import { ITutorialStep } from './api/i-tutorial-step';
import { Observable } from 'rxjs';
export declare class NgyTutorialService {
    readonly toShow: EventEmitter<ITutorialStep[]>;
    readonly tutorialInProgress: Observable<boolean>;
    readonly currentStep: Observable<number>;
    private steps;
    private _tutorialInProgress;
    private _currentStep;
    constructor();
    showTutorial(): void;
    hideTutorial(): void;
    addStep(title: string, prompt: string, option?: IStepOption): void;
    removeStep(stepNumber: number): void;
    nextStep(): void;
    previousStep(): void;
}
